Bug 459894 - plague-client broken with new user certs
plague-client broken with new user certs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: plague (Show other bugs)
9
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 18:08 EDT by Chris Weyl
Modified: 2008-09-03 08:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 08:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-08-23 18:08:28 EDT
See the recent thread on fedora-devel.  Appears to be fixed by:

 --- plague-client~      2008-01-31 15:08:22.000000000 +0100
 +++ plague-client       2008-08-23 12:24:53.000000000 +0200
 @@ -133,7 +133,7 @@
                 print "%s does not exist or is not readable." % certfile
                 sys.exit(1)
             f = open(certfile, "r")
 -            buf = f.read(8192)
 +            buf = f.read()
             f.close()
             cert = OpenSSL.crypto.load_certificate(OpenSSL.crypto.FILETYPE_PEM, buf)
             cert_email = cert.get_subject().emailAddress
 [


Patch posted on fedora-devel by Michael Schwendt <mschwendt@gmail.com>.

Note You need to log in before you can comment on or make changes to this bug.